.wp-block-coppard-search {
	z-index: 1;
}

.wp-block-coppard-search__inputs,
.wp-block-coppard-search__suggested,
.wp-block-coppard-search__popular,
.wp-block-coppard-search__pagination {
	margin: var(--space-m);
}

.wp-block-coppard-search__suggested > span:first-child,
.wp-block-coppard-search__popular > span:first-child {
	font-weight: 500;
}

/* Inputs */

.wp-block-coppard-search__inputs {
	position: relative;
}

.wp-block-coppard-search__inputs input[type="search"] {
	width: 100%;
	max-height: 3.125rem;
	border: 0.1875rem solid #000;
	padding: 0.75rem 2.5625rem 0.75rem 0.75rem;
	font-size: 1rem;
	font-family: inherit;
	font-weight: normal;
	line-height: 1.25rem;
}

.wp-block-coppard-search__inputs input[type="search"]:focus {
	outline: none;
}

.wp-block-coppard-search__inputs input[type="search"]::-webkit-search-cancel-button {
	-webkit-appearance: none;
	width: 2.375rem;
	height: 2.375rem;
	margin: -0.5rem 0;
	background: url("../../assets/img/xmark.svg") no-repeat 50% 50%;
	background-size: 0.875rem;
	background-color: transparent;
	cursor: pointer;
	opacity: 0;
	pointer-events: none;
	transition: opacity 0.1s linear, background-color 0.1s linear;
}

.wp-block-coppard-search__inputs input[type="search"]:focus::-webkit-search-cancel-button {
	opacity: 1;
	pointer-events: all;
}

.wp-block-coppard-search__inputs input[type="search"]:focus::-webkit-search-cancel-button:hover {
	background-color: var(--color-primary);
}

.wp-block-coppard-search__inputs button[type="submit"] {
	position: absolute;
	top: 0.375rem;
	right: 0.375rem;
	width: 2.375rem;
	height: calc(100% - 0.1875rem * 4);
	border: 0;
	padding: 0.75rem;
	background-color: transparent;
	transition: background-color 0.1s linear;
}

.wp-block-coppard-search__inputs input[type="search"]:not(:placeholder-shown) + button[type="submit"]:hover {
	background-color: var(--color-primary);
}

.wp-block-coppard-search__inputs button[type="submit"] .wp-block-coppard-search__icon-search {
	display: block;
}

.wp-block-coppard-search__inputs button[type="submit"] .wp-block-coppard-search__icon-spinner {
	display: none;
}

.wp-block-coppard-search[data-search-status="loading"] .wp-block-coppard-search__inputs button[type="submit"] .wp-block-coppard-search__icon-spinner {
	display: block;
	animation: wp-block-coppard-search-rotate 1.25s linear infinite;
}

.wp-block-coppard-search[data-search-status="loading"] .wp-block-coppard-search__inputs button[type="submit"] .wp-block-coppard-search__icon-search {
	display: none;
}

@keyframes wp-block-coppard-search-rotate {
	from {
		transform: rotate(0deg);
	}
	to {
		transform: rotate(360deg);
	}
}

/* Pagination */

.wp-block-coppard-search__pagination {
	display: flex;
	flex-direction: row;
	gap: 0.5rem;
	flex-wrap: wrap;
}

.wp-block-coppard-search__pagination > a,
.wp-block-coppard-search__pagination > span {
	display: block;
	padding: 1rem;
	font-weight: 500;
	text-decoration: none !important;
	background-color: var(--color-secondary);
	border-radius: 0.25rem;
	line-height: 1rem;
	min-width: 3rem;
	text-align: center;
}

.wp-block-coppard-search__pagination > a {
	cursor: pointer;
}

.wp-block-coppard-search__pagination > span {
	background-color: var(--color-dark);
	color: white;
	cursor: default;
}

/* Results */

.wp-block-coppard-search__results {
	display: grid;
	gap: 0.5rem;
}

.wp-block-coppard-search .wp-block-coppard-tile__container {
	justify-content: start;
	padding: 0;
	background: none;
}

.wp-block-coppard-search .wp-block-coppard-tile__container::after {
	content: 'View »';
	font-weight: 500;
	margin-top: auto;
}

.wp-block-coppard-search__result-type {
	font-size: 0.75rem;
	font-weight: bold;
	text-transform: uppercase;
	opacity: 0.8;
}

@media screen and (min-width: 1150px) {
	.wp-block-coppard-search__results {
		grid-template-columns: repeat(12, 1fr);
	}

	.wp-block-coppard-search__results > .wp-block-coppard-tile {
		grid-column: span 4;
	}

	.wp-block-coppard-search__results > .wp-block-coppard-tile[data-colspan="4"] .wp-block-coppard-tile__image {
		height: calc(((var(--size-container) - 1.5rem) / 4) / (16 / 9));
	}
}

/* Ajax Results */

.searchwp-live-search-results {
	display: grid;
	margin-top: -0.1875rem;
	padding: 0.75rem;
	outline: 0.1875rem solid #000;
	outline-offset: -0.1875rem;
	background-color: #fff;
	gap: 0.25rem;
	container: searchwp-results / inline-size;
	grid-template-columns: repeat(3, 1fr);
}

.searchwp-live-search-results.searchwp-live-search-results-showing {
	display: grid;
	z-index: 2;
}

.searchwp-live-search-results:has(.spinner) {
	display: none;
}

.searchwp-live-search-results .searchwp-live-search-no-results {
	padding: 1rem;
	grid-column: span 3;
}

.searchwp-live-search-results .searchwp-live-search-result__heading {
	display: block;
	padding: 0.5rem 0.25rem;
	font-weight: 500;
	grid-column: 1 / -1;
}

.searchwp-live-search-results .searchwp-live-search-result {
	display: flex;
	flex-direction: row;
	grid-column: span 1;
	width: 100%;
	padding: 0.25rem 2rem 0.25rem 0.25rem;
	gap: 0.75rem;
	align-items: center;
	background: url("../../assets/img/chevron-right.svg") no-repeat center right 1rem;
	background-size: 0.5rem;
	transition: background-color 0.1s linear;
	overflow: hidden;
}

.searchwp-live-search-results .searchwp-live-search-result img {
	display: inline-block;
	width: 3rem;
	height: 3rem;
	mix-blend-mode: multiply;
}

.searchwp-live-search-results .searchwp-live-search-result span {
	display: block;
	text-overflow: ellipsis;
	text-wrap: nowrap;
	overflow: hidden;
	font-weight: 500;
}

.searchwp-live-search-results .searchwp-live-search-result:hover {
	background-color: var(--color-secondary);
}

@container searchwp-results (width < 50rem) {
	.searchwp-live-search-results .searchwp-live-search-result {
		font-size: 0.875rem;
		grid-column: span 3;
	}

	.searchwp-live-search-results .searchwp-live-search-result img {
		width: 2rem;
		height: 2rem;
	}
}

/* Highlight */

.wp-block-coppard-search .searchwp-highlight,
.searchwp-live-search-results .searchwp-highlight {
	color: inherit;
	background-color: transparent;
	font-weight: 500;
}

/* Site Header Variant */

.site-header .wp-block-coppard-search .wp-block-coppard-search__inputs {
	margin: 0;
}

.site-header .wp-block-coppard-search input[type="search"] {
	width: 20rem;
	background-color: transparent;
	transition: background-color 0.1s linear;
}

.site-header .wp-block-coppard-search input[type="search"]:focus,
.site-header .wp-block-coppard-search input[type="search"][data-search-visible="true"] {
	background-color: #fff;
}

.site-header .wp-block-coppard-search input[type="search"]::placeholder {
	color: #000;
	opacity: 0.8;
}

@media screen and (max-width: 767px) {
	.site-header .wp-block-coppard-search,
	.site-header .wp-block-coppard-search__inputs {
		height: 100%;
	}

	.site-header .wp-block-coppard-search label,
	.site-header .wp-block-coppard-search input[type="search"] {
		display: none;
	}

	.site-header .wp-block-coppard-search button[type="submit"] {
		position: relative;
		top: 0;
		right: 0;
		height: 100%;
		padding: 0.625rem;
		cursor: pointer;
	}
}
